%global srcname future

Name:           python-%{srcname}
Version:        0.18.2
Release:        1%{?dist}
Summary:        The missing compatibility layer between Python 2 and Python 3

License:        MIT
URL:            https://pypi.org/project/future/
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
future is the missing compatibility layer between Python 2 and Python 3. It allows you to use a single, clean Python 3.x-compatible codebase to support both Python 2 and Python 3 with minimal overhead.
}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

# Note that there is no %%files section for the unversioned python module
%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/
/usr/bin/futurize
/usr/bin/pasteurize
%{python3_sitelib}/libfuturize/
%{python3_sitelib}/libpasteurize/
%{python3_sitelib}/past/
